Mac下如何安装K210工具链呢?



  • RT. 是否有Mac下的工具链安装流程说明呢? 我看到的官方给出的只有win和linux的,我搜了贵论坛有发现一个非官方的解决方案,但是最终编译的时候出现了这样一个问题/kendryte-standalone-sdk/lib/freertos/portable/portasm.S:287: 错误:unrecognized opcode `fld f31,(31+32)*8(sp)' 这样怎么解决呢? 麻烦官方帮忙解答一番,感谢!



  • @GongT 是的,我就是在编译你们hello world出的这个报错



  • @GongT 这个就是standalone的hello world代码,能够确认工具链和代码属于同一分支名称 您说的IDE我看到论坛里有好多评论意思是只能把IDE当做编辑器来用(弱弱地问句:既然这样那为啥需要耗费人力做这个IDE呢?直接第三方的都是可以的)


  • |  Mod

    mac的工具链可以用IDE带的。
    单独安装用非官方的其实没问题。

    你这个看着像是代码又点不太对(我们的问题),建议先编译一个standalone的hello world试试,确定工具链没问题。